#
# Conditional build:
%bcond_without	python2	# CPython 2.x module
%bcond_without	python3	# CPython 3.x module

%define		module decorator
Summary:	Bunch of nice decorators for Python 2
Summary(pl.UTF-8):	Zbiór ładnych dekoratorów dla Pythona 2
Name:		python-%{module}
Version:	4.0.9
Release:	2
License:	BSD
Group:		Libraries/Python
#Source0Download: https://pypi.python.org/simple/decorator/
Source0:	https://pypi.python.org/packages/source/d/decorator/%{module}-%{version}.tar.gz
# Source0-md5:	f12c5651ccd707e12a0abaa4f76cd69a
URL:		https://pypi.python.org/pypi/decorator/
%if %{with python2}
BuildRequires:	python-devel >= 1:2.4
BuildRequires:	python-modules >= 1:2.4
BuildRequires:	python-setuptools
%endif
%if %{with python3}
BuildRequires:	python3-devel >= 1:3.2
BuildRequires:	python3-modules >= 1:3.2
BuildRequires:	python3-setuptools
%endif
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.710
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Bunch of nice decorators for Python 2 like memoize, tracing,
redirecting_stdout, locked.

%description -l pl.UTF-8
Zbiór ładnych dekoratorów dla Pythona 2: memoize, tracing,
redirecting_stdout, locked...

%package -n python3-%{module}
Summary:	Bunch of nice decorators for Python 3
Summary(pl.UTF-8):	Zbiór ładnych dekoratorów dla Pythona 3
Group:		Libraries/Python

%description -n python3-%{module}
Bunch of nice decorators for Python 3 like memoize, tracing,
redirecting_stdout, locked.

%description -n python3-%{module} -l pl.UTF-8
Zbiór ładnych dekoratorów dla Pythona 3: memoize, tracing,
redirecting_stdout, locked...

%package doc
Summary:	Documentation for decorator module in PDF format
Summary(pl.UTF-8):	Dokumentacja modułu decorator w formacie PDF
Group:		Documentation

%description doc
Documentation for decorator module in PDF format.

%description doc -l pl.UTF-8
Dokumentacja modułu decorator w formacie PDF.

%prep
%setup -q -n %{module}-%{version}

%build
%if %{with python2}
%py_build
%endif
%if %{with python3}
%py3_build
%endif

%install
rm -rf $RPM_BUILD_ROOT

%if %{with python2}
%py_install

%py_postclean
%endif

%if %{with python3}
%py3_install
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%if %{with python2}
%files
%defattr(644,root,root,755)
%doc CHANGES.md LICENSE.txt docs/README.rst
%{py_sitescriptdir}/decorator.py[co]
%{py_sitescriptdir}/decorator-%{version}-py*.egg-info
%endif

%if %{with python3}
%files -n python3-%{module}
%defattr(644,root,root,755)
%doc CHANGES.md LICENSE.txt docs/README.rst
%{py3_sitescriptdir}/decorator.py
%{py3_sitescriptdir}/__pycache__/decorator.*.py[co]
%{py3_sitescriptdir}/decorator-%{version}-py*.egg-info
%endif

%files doc
%defattr(644,root,root,755)
%doc documentation.pdf
%changelog
* Wed Dec 28 2016 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python-decorator.git;a=log;h=master

* Wed Dec 28 2016 Arkadiusz Miśkiewicz <arekm@maven.pl> 69c8f1c
- python 3.6
- release 2 (by relup.sh)

* Fri May 20 2016 Jakub Bogusz <qboosh@pld-linux.org> a3525a9
- updated to 4.0.9

* Sat May 07 2016 Jan Rękorajski <baggins@pld-linux.org> 56db354
- use rpm python macros
- rel 7

* Sun Nov 29 2015 Jacek Konieczny <jajcus@jajcus.net> 771173a
- BR: rpmbuild(macros) >= 1.710

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> d0a06ff
- release 6 (by relup.sh)

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> 703618a
- automatic change: use py_build/py_install macros

* Mon Sep 14 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> 7023a04
- python3.5 rebuild
- release 5 (by relup.sh)

* Sun Sep 13 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> 9ed693d
- python 3.5 rebuild
- release 4 (by relup.sh)

* Sun Oct 19 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> 12f7fce
- python 3.4
- release 3 (by relup.sh)

* Fri Mar 07 2014 Jakub Bogusz <qboosh@pld-linux.org> 9f1dcfe
- added python3 module; release 2

* Sun Jan 27 2013 Elan Ruusamäe <glen@delfi.ee> 8520a43
- up to 3.4.0

* Sun Oct 14 2012 Jakub Bogusz <qboosh@pld-linux.org> fb66e5d
- updated to 3.3.3

* Sun Jan 23 2011 sparky <sparky@pld-linux.org> 22a4cdb
- added BR: python-modules, rpm-pythonprov

* Sat Nov 13 2010 pawelz <pawelz@pld-linux.org> 5932135
- release 4

* Tue Sep 21 2010 Elan Ruusamäe <glen@pld-linux.org> ad5bd06
- release 3

* Thu Jul 08 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> c22de05
- release 2

* Sat Mar 14 2009 duddits <duddits@pld-linux.org> df108cb
- up to 3.0.1

* Sun Jan 04 2009 wrobell <wrobell@pld-linux.org> 8a1c335
- ver. 3.0.0
- use up-to-date uri's

* Mon Oct 13 2008 Jakub Bogusz <qboosh@pld-linux.org> 69e0f51
- pygtk epoch

* Sun Oct 12 2008 Elan Ruusamäe <glen@pld-linux.org> e8029d4
- python epoch

